PDA

View Full Version : help



gbrecht
07-07-2008, 07:51 PM
I bought il-2 1946 signature collection on steam, and i want to play multiplayer... but for the life of me i can't find all the patches, and the patching system is terrible by the way.

I found 3.03-4.04 on ubisoft website, but i can't find links to 4.05/6/7m

HELP

ps sorry for posting this in 2 forums

ElAurens
07-07-2008, 08:14 PM
1946 is already 4.07 as I recall. All you need is 4.08m.

Go here (http://www.pacific-fighters.com/en/home.php?skin=S2)
and scroll down and you will find links to the patch you need.

Jaws2002
07-07-2008, 08:26 PM
Hello Sir and welcome.

What version is your game showing in the loading screen? If it is 4.08m you don't need no stinkin patches. http://forums.ubi.com/images/smilies/16x16_smiley-very-happy.gif
It it shows version 4.07m you only need patch 4.08m.

Here's the link:

http://www.gamershell.com/download_17669.shtml

gbrecht
07-07-2008, 08:35 PM
Originally posted by Jaws2002:
Hello Sir and welcome.

What version is your game showing in the loading screen? If it is 4.08m you don't need no stinkin patches. http://forums.ubi.com/images/smilies/16x16_smiley-very-happy.gif
It it shows version 4.07m you only need patch 4.08m.

Here's the link:

http://www.gamershell.com/download_17669.shtml


it says my game is 4.04

i downloaded it from steam and it was like this, i guess i need to find 4.05/6/7 right?

knightflyte
07-07-2008, 08:48 PM
They should pull all of those old games off of steam.

In order for you to play online FROM WHAT YOU HAVE, you'll need to BUY two addons and apply several patches. 4.05 was Sturmoviks over Mancuria, and 4.06 was Pe2. Both are paid add ons.

Then came IL2 1946 which contains EVERYTHING: Forgotten Battles, Ace Expansion Pack, Pacific Fighters, the above mentioned Manchuria and Pe2 addons.

If you REALLY want to fly online it would be easier and less expensive to buy IL2 1946.

Can you contact STEAM's customer service and try to 'exchange' what you have for IL2 1946? Slim chance I know, but........

sorry to inform you, but it is what it is.

Xiolablu3
07-09-2008, 10:54 AM
Originally posted by knightflyte:
They should pull all of those old games off of steam.

In order for you to play online FROM WHAT YOU HAVE, you'll need to BUY two addons and apply several patches. 4.05 was Sturmoviks over Mancuria, and 4.06 was Pe2. Both are paid add ons.

Then came IL2 1946 which contains EVERYTHING: Forgotten Battles, Ace Expansion Pack, Pacific Fighters, the above mentioned Manchuria and Pe2 addons.

If you REALLY want to fly online it would be easier and less expensive to buy IL2 1946.

Can you contact STEAM's customer service and try to 'exchange' what you have for IL2 1946? Slim chance I know, but........

sorry to inform you, but it is what it is.

Knightflyte is unfortunatly correct.

Its sad that they still sell those old games and people get caught out like that.

IL2 1946 is the only thing worth buying if you want to play online.